<?php

$title = 'Админка походп';

include_once '../protected/sys.php';

if (!$user OR $user['access']!='3')
{
	header("Location:/");
	exit;
}


if(isset($_GET['set'])){
	$t = time();
	$tg = intval($_POST['tg']);
	$pl = intval($_POST['pl']);
	$p = intval($_POST['power']);
	$f = intval($_POST['fond']);
	$cp = $db->fetch('SELECT * FROM `compaigns` ORDER BY `id` DESC LIMIT 1');
	$db->query('INSERT INTO `compaigns` SET 
		`time_start` = ?, `time_game` = ?, `power` = ?, `fond` = ?, `max_users` = ?, `status`=  ?',
		array($t,($t+$tg*3600),$p,$f,$pl,0));
	$db->query('UPDATE `setting` SET `compaign`=?',array(($cp['id']+1)));
	echo 'Все успешно создано';
}



?>
<div class="menu">
Сбор игроков начинаетса с момента создания 
<form action="?set" method="POST">
	Укажите через сколько часов начнетса поход</br>
	<input name="tg" type="text" class="input" placeholder="Время начала похода"> </br>
	Максимальное количество игроков</br>
	<input name="pl" type="text" class="input" placeholder=""> </br>
	Cложность [1-4]</br>
	<input name="power" type="text" class="input" placeholder="[1-4]"> </br>
	Фонд [1-4]</br>
	<input name="fond" type="text" class="input" placeholder="[1-4]"> </br>
	<button class="button green">Создать</button>
</form>
</div>

<?
include_once '../protected/footermain.php';